Attribute VB_Name = "mButton"
' ==========================================================================================
' Code source par Nicolas Siwik aka Ennixo
' ==========================================================================================
' http://www.ennixo.com
' http://ennixo.free.fr/fils
' ennixo@free.fr
' ==========================================================================================

'     ////////////////////////////////////////////////////////////////////////////////////
'    //                                                                                //
'   //  MODULE POUR LE CONTROLE ucButton                                              //
'  //                                                                                //
' ////////////////////////////////////////////////////////////////////////////////////

'  Ce module contient toutes les donnes ncessaires au contrle afin qu'il soit
'  utilisable et exportable sans avoir  redfinir des types et a


' =========================================================================================
' ENUMERATIONS
' =========================================================================================

'Mode de dessin du bouton
Public Enum e_StretchMode
    nsNone
    nsStretch
    nsStretchEx
End Enum

'Effet de texte
Public Enum e_TextEffect
    nsNormal
    nsShadow
    nsBorder
End Enum
    
'Comportement
Public Enum e_Behavior
    NSButton
    nsCheckBox
    nsOptionBox
End Enum

'Taille d'icnes
Public Enum e_IconSize
    ns16x16px = 16
    ns32x32px = 32
    ns64x64px = 64
End Enum

' =========================================================================================
' TYPES DE DONNEES
' =========================================================================================

Public Type t_StretchMargin
    LeftMargin      As Long
    RightMargin     As Long
    TopMargin       As Long
    BottomMargin    As Long
End Type
