VERSION 5.00
Begin VB.UserControl ucButton 
   BackColor       =   &H00D7D4C7&
   ClientHeight    =   5415
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   6360
   ClipBehavior    =   0  'None
   DefaultCancel   =   -1  'True
   BeginProperty Font 
      Name            =   "Trebuchet MS"
      Size            =   9
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   HitBehavior     =   0  'None
   PropertyPages   =   "ucButton.ctx":0000
   ScaleHeight     =   361
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   424
   Begin VB.PictureBox m_DisabledIcon 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BackColor       =   &H00D7D4C7&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   735
      Left            =   3720
      ScaleHeight     =   47
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   71
      TabIndex        =   3
      Top             =   4560
      Visible         =   0   'False
      Width           =   1095
   End
   Begin VB.PictureBox m_SkinPicture 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BackColor       =   &H00D7D4C7&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   735
      Left            =   1320
      ScaleHeight     =   47
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   71
      TabIndex        =   2
      Top             =   4560
      Visible         =   0   'False
      Width           =   1095
   End
   Begin VB.PictureBox m_Icon 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BackColor       =   &H00D7D4C7&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   735
      Left            =   2520
      ScaleHeight     =   47
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   71
      TabIndex        =   1
      Top             =   4560
      Visible         =   0   'False
      Width           =   1095
   End
   Begin VB.PictureBox m_Picture 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BackColor       =   &H00D7D4C7&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   735
      Index           =   0
      Left            =   120
      ScaleHeight     =   47
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   71
      TabIndex        =   0
      Top             =   4560
      Visible         =   0   'False
      Width           =   1095
   End
End
Attribute VB_Name = "ucButton"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ==========================================================================================
' Code source par Nicolas Siwik aka Ennixo
' ==========================================================================================
' http://www.ennixo.com
' http://ennixo.free.fr/fils
' ennixo@free.fr
' ==========================================================================================

'     ////////////////////////////////////////////////////////////////////////////////////
'    //                                                                                //
'   //  CONTRLE ucButton                                                             //
'  //  Version 1.0                                                                   //
' //                                                                                //
'////////////////////////////////////////////////////////////////////////////////////


' =========================================================================================
' CONSTANTES
' =========================================================================================

'relatives  DrawText
Private Const DT_TOP                             As Long = &H0
Private Const DT_LEFT                            As Long = &H0
Private Const DT_CENTER                          As Long = &H1
Private Const DT_RIGHT                           As Long = &H2
Private Const DT_VCENTER                         As Long = &H4
Private Const DT_BOTTOM                          As Long = &H8
Private Const DT_WORDBREAK                       As Long = &H10
Private Const DT_SINGLELINE                      As Long = &H20
Private Const DT_EXPANDTABS                      As Long = &H40
Private Const DT_TABSTOP                         As Long = &H80
Private Const DT_NOCLIP                          As Long = &H100
Private Const DT_EXTERNALLEADING                 As Long = &H200
Private Const DT_CALCRECT                        As Long = &H400
Private Const DT_NOPREFIX                        As Long = &H800
Private Const DT_INTERNAL                        As Long = &H1000
Private Const DT_EDITCONTROL                     As Long = &H2000
Private Const DT_PATH_ELLIPSIS                   As Long = &H4000
Private Const DT_END_ELLIPSIS                    As Long = &H8000
Private Const DT_MODIFYSTRING                    As Long = &H10000
Private Const DT_RTLREADING                      As Long = &H20000
Private Const DT_WORD_ELLIPSIS                   As Long = &H40000
Private Const DT_DEFAULT                         As Long = (DT_SINGLELINE Or DT_NOPREFIX Or DT_WORDBREAK Or DT_WORD_ELLIPSIS Or DT_CENTER Or DT_VCENTER)

'relavites  DrawIconEx
Private Const DI_MASK = &H1
Private Const DI_IMAGE = &H2
Private Const DI_NORMAL = DI_MASK Or DI_IMAGE

' =========================================================================================
' ENUMERATIONS
' =========================================================================================

' Etats du bouton
Private Enum e_ButtonState
    nsNormal              ' normal
    nsDefaultFocus        ' par dfaut OU ayant le focus
    nsMouseOver           ' souris au dessus
    nsMouseDown           ' souris clique
    nsSelected            ' slectionn
    nsSelectedMouseOver   ' slectionn
    nsDisabled            ' dsactiv
    nsSelectedDisabled    ' slectionn ET dsactiv
End Enum


' =========================================================================================
' TYPES DE DONNEES
' =========================================================================================

'Point
Private Type POINTAPI
    X                       As Long
    Y                       As Long
End Type

'Rectangle
Private Type RECT
    Left                    As Long
    Top                     As Long
    Right                   As Long
    Bottom                  As Long
End Type

'Fonction de transparence
Private Type BLENDFUNCTION
  BlendOp                   As Byte
  BlendFlags                As Byte
  SourceConstantAlpha       As Byte
  AlphaFormat               As Byte
End Type

'RESERVE POUR HDCTOPICTURE
Const RC_PALETTE As Long = &H100
Const SIZEPALETTE As Long = 104
Const RASTERCAPS As Long = 38
Private Type PALETTEENTRY
    peRed As Byte
    peGreen As Byte
    peBlue As Byte
    peFlags As Byte
End Type
Private Type LOGPALETTE
    palVersion As Integer
    palNumEntries As Integer
    palPalEntry(255) As PALETTEENTRY ' Enough for 256 colors
End Type
Private Type GUID
    Data1 As Long
    Data2 As Integer
    Data3 As Integer
    Data4(7) As Byte
End Type

Private Type PicBmp
    Size As Long
    Type As Long
    hBmp As Long
    hPal As Long
    Reserved As Long
End Type

' =========================================================================================
' DECLARATIONS
' =========================================================================================

Private Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
Private Declare Function SetStretchBltMode Lib "gdi32" (ByVal hDC As Long, ByVal nStretchMode As Long) As Long
Private Declare Function StretchBlt Lib "gdi32" (ByVal hDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long

Private Declare Function DrawText Lib "user32" Alias "DrawTextA" (ByVal hDC As Long, ByVal lpStr As String, ByVal nCount As Long, lpRect As RECT, ByVal wFormat As Long) As Long
Private Declare Function OffsetRect Lib "user32" (lpRect As RECT, ByVal X As Long, ByVal Y As Long) As Long
Private Declare Function ReleaseCapture Lib "user32" () As Long
Private Declare Function SetCapture Lib "user32" (ByVal hWnd As Long) As Long
Private Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Private Declare Function ScreenToClient Lib "user32" (ByVal hWnd As Long, lpPoint As POINTAPI) As Long
Private Declare Function DrawIconEx Lib "user32" (ByVal hDC As Long, ByVal xLeft As Long, ByVal yTop As Long, ByVal hIcon As Long, ByVal cxWidth As Long, ByVal cyWidth As Long, ByVal istepIfAniCur As Long, ByVal hbrFlickerFreeDraw As Long, ByVal diFlags As Long) As Long
Private Declare Function DrawState Lib "user32" Alias "DrawStateA" (ByVal hDC As Long, ByVal hBrush As Long, ByVal lpDrawStateProc As Long, ByVal lParam As Long, ByVal wParam As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal flags As Long) As Long

Private Declare Function OleCreatePictureIndirect Lib "olepro32.dll" (PicDesc As PicBmp, RefIID As GUID, ByVal fPictureOwnsHandle As Long, IPic As IPicture) As Long
Private Declare Function CreateCompatibleDC Lib "gdi32" (ByVal hDC As Long) As Long
Private Declare Function CreateCompatibleBitmap Lib "gdi32" (ByVal hDC As Long, ByVal nWidth As Long, ByVal nHeight As Long) As Long
Private Declare Function SelectObject Lib "gdi32" (ByVal hDC As Long, ByVal hObject As Long) As Long
Private Declare Function GetDeviceCaps Lib "gdi32" (ByVal hDC As Long, ByVal iCapabilitiy As Long) As Long
Private Declare Function GetSystemPaletteEntries Lib "gdi32" (ByVal hDC As Long, ByVal wStartIndex As Long, ByVal wNumEntries As Long, lpPaletteEntries As PALETTEENTRY) As Long
Private Declare Function CreatePalette Lib "gdi32" (lpLogPalette As LOGPALETTE) As Long
Private Declare Function SelectPalette Lib "gdi32" (ByVal hDC As Long, ByVal hPalette As Long, ByVal bForceBackground As Long) As Long
Private Declare Function RealizePalette Lib "gdi32" (ByVal hDC As Long) As Long
Private Declare Function DeleteDC Lib "gdi32" (ByVal hDC As Long) As Long
Private Declare Function GetDC Lib "user32" (ByVal hWnd As Long) As Long


' =========================================================================================
' VARIABLES DE PROPRIETES
' =========================================================================================

'Activ ?
Private p_Enabled           As Boolean

'Bouton par dfaut ?
Private p_Default           As Boolean

'Texte
Private p_Text              As String

'offset du texte (Seulement si une icne est dfinie)
Private p_TextOffset        As Long

'Comportement
Private p_Behavior          As e_Behavior

'Slectionnable ? (varie avec p_Behavior)
Private p_Selectable        As Boolean

' Dslectionable ? (quand p_Selectable = True et que p_Behavior = nsOptionBox)
' True = Si on clique et que c'est slectionn, a dselectionne
' False = il faut cliquer sur un autre bouton pour dselectionner
Private p_CanDeselect       As Boolean

'Mode de redimensionnement des images
Private p_StretchMode       As e_StretchMode

'Marges de redimensionnement avanc (quand p_StretchMode = nsStretchEx)
Private p_StretchMargins    As t_StretchMargin

'Demi-ton quand on redimensionne ? (quand p_StretchMode = nsStretch ou p_StretchMode = nsStretchEx)
Private p_HalfTone          As Boolean

'taille de l'icne s'il y en a une
Private p_IconSize          As e_IconSize

'Handle de l'icne
Private p_IconHandle        As Long

'Handle de l'icne dsactive
Private p_DisabledIconHandle As Long

'l'offset en X et Y pour le dessin du bouton (quand p_StretchMode = nsNone)
Private p_XOffset           As Long
Private p_YOffset           As Long

'Polices, effets et couleurs
Private p_FontNormal                        As New StdFont
Private p_FontNormalEffect                  As e_TextEffect
Private p_FontNormalColor                   As OLE_COLOR
Private p_FontNormalShadow1OrBorderColor    As OLE_COLOR
Private p_FontNormalShadow2Color            As OLE_COLOR

Private p_FontFocus                         As New StdFont
Private p_FontFocusEffect                   As e_TextEffect
Private p_FontFocusColor                    As OLE_COLOR
Private p_FontFocusShadow1OrBorderColor     As OLE_COLOR
Private p_FontFocusShadow2Color             As OLE_COLOR

Private p_FontDisabled                      As New StdFont
Private p_FontDisabledEffect                As e_TextEffect
Private p_FontDisabledColor                 As OLE_COLOR
Private p_FontDisabledShadow1OrBorderColor  As OLE_COLOR
Private p_FontDisabledShadow2Color          As OLE_COLOR


' =========================================================================================
' VARIABLES PRIVEES
' =========================================================================================

' Device Context dans lequel on dessine le bouton
Private m_DrawDC            As Long

' Souris au dessus ?
Private m_MouseIn           As Boolean

' Souris appuye ?
Private m_MouseDown         As Boolean

'Slectionn ?
Private m_Selected          As Boolean

' A le focus ?
Private m_Focused           As Boolean


' =========================================================================================
' EVENEMENTS PUBLICS PROVOCABLES
' =========================================================================================

Public Event MouseIn()
Public Event MouseOut()
Public Event Click()
Public Event RightClick()
Public Event DblClick()


' =========================================================================================
' FONCTIONS PRIVEES
' =========================================================================================

'dslectionne les autres contrles
Private Sub UnselectTheOthers()

    For i = 0 To UserControl.ParentControls.Count - 1
    
        If TypeOf UserControl.ParentControls.Item(i) Is ucButton Then

            If UserControl.ParentControls.Item(i).Value = True And UserControl.ParentControls.Item(i).Behavior = nsOptionBox And UserControl.ParentControls.Item(i).ContainerHandle = UserControl.ContainerHwnd Then UserControl.ParentControls.Item(i).Value = False
        
        End If

    Next i

End Sub

'Dessine le bouton dans son tat actuel
Private Sub DrawButton(ByVal ButtonState As e_ButtonState)

    'Device Context
    Dim hPicDC      As Long
    
    'Marges
    Dim hM_L        As Long
    Dim hM_R        As Long
    Dim hM_T        As Long
    Dim hM_B        As Long
    
    'dimensions du UserControl
    Dim hUC_SH      As Long
    Dim hUC_SW      As Long
    
    'dimensions de l'image
    Dim hP_SH       As Long
    Dim hP_SW       As Long
    
    'relatif au texte
    Dim r           As RECT

    If m_Picture(Val(ButtonState)).Picture = 0 Then
        If m_Selected Then
            ButtonState = nsSelected
        Else
            ButtonState = nsNormal
        End If
    End If

    hM_L = p_StretchMargins.LeftMargin
    hM_R = p_StretchMargins.RightMargin
    hM_T = p_StretchMargins.TopMargin
    hM_B = p_StretchMargins.BottomMargin
    hUC_SH = UserControl.ScaleHeight
    hUC_SW = UserControl.ScaleWidth
    hP_SH = m_Picture(Val(ButtonState)).ScaleHeight
    hP_SW = m_Picture(Val(ButtonState)).ScaleWidth

    hPicDC = m_Picture(Val(ButtonState)).hDC

    Select Case p_StretchMode

        Case e_StretchMode.nsNone 'pas de redimensionnement
            UserControl.Cls
            BitBlt m_DrawDC, p_XOffset, p_YOffset, hP_SW, hP_SH, hPicDC, 0&, 0&, vbSrcCopy
        
        Case e_StretchMode.nsStretch 'redimensionnement basique
            SetStretchBltMode m_DrawDC, IIf(p_HalfTone, 4&, 3&)
            StretchBlt m_DrawDC, 0&, 0&, hUC_SW, hUC_SH, hPicDC, 0&, 0&, hP_SW, hP_SH, vbSrcCopy
        
        Case e_StretchMode.nsStretchEx 'redimensionnement avanc
            SetStretchBltMode m_DrawDC, IIf(p_HalfTone, 4&, 3&)
            'coins
            BitBlt m_DrawDC, 0&, 0&, hM_L, hM_T, hPicDC, 0&, 0&, vbSrcCopy
            BitBlt m_DrawDC, hUC_SW - hM_R, 0&, hM_R, hM_T, hPicDC, hP_SW - hM_R, 0, vbSrcCopy
            BitBlt m_DrawDC, 0&, hUC_SH - hM_B, hM_L, hM_B, hPicDC, 0&, hP_SH - hM_B, vbSrcCopy
            BitBlt m_DrawDC, hUC_SW - hM_R, hUC_SH - hM_B, hM_R, hM_B, hPicDC, hP_SW - hM_R, hP_SH - hM_B, vbSrcCopy
            'bords
            StretchBlt m_DrawDC, hM_L, 0&, hUC_SW - hM_L - hM_R, hM_T, hPicDC, hM_L, 0&, hP_SW - hM_L - hM_R, hM_T, vbSrcCopy
            StretchBlt m_DrawDC, 0&, hM_T, hM_L, hUC_SH - hM_T - hM_B, hPicDC, 0&, hM_T, hM_L, hP_SH - hM_T - hM_B, vbSrcCopy
            StretchBlt m_DrawDC, hUC_SW - hM_R, hM_T, hM_R, hUC_SH - hM_T - hM_B, hPicDC, hP_SW - hM_R, hM_T, hM_R, hP_SH - hM_T - hM_B, vbSrcCopy
            StretchBlt m_DrawDC, hM_L, hUC_SH - hM_B, hUC_SW - hM_L - hM_R, hM_B, hPicDC, hM_L, hP_SH - hM_B, hP_SW - hM_L - hM_R, hM_B, vbSrcCopy
            'milieu
            StretchBlt m_DrawDC, hM_R, hM_T, hUC_SW - hM_L - hM_R, hUC_SH - hM_T - hM_B, hPicDC, hM_R, hM_T, hP_SW - hM_L - hM_R, hP_SH - hM_T - hM_B, vbSrcCopy

    End Select

    'ICONE
    DrawButtonIcon (ButtonState <> nsDisabled And ButtonState <> nsSelectedDisabled), (ButtonState = nsMouseDown)
    
    'TEXTE
    If ButtonState = nsNormal Or ButtonState = nsMouseOver Or ButtonState = nsSelected Or ButtonState = nsSelectedMouseOver Then
        Set UserControl.Font = p_FontNormal
        DrawButtonText p_FontNormalEffect, p_FontNormalColor, p_FontNormalShadow1OrBorderColor, p_FontNormalShadow2Color
        
    ElseIf ButtonState = nsDefaultFocus Or ButtonState = nsMouseDown Then
        Set UserControl.Font = p_FontFocus
        DrawButtonText p_FontFocusEffect, p_FontFocusColor, p_FontFocusShadow1OrBorderColor, p_FontFocusShadow2Color, (ButtonState = nsMouseDown)
        
    Else
        Set UserControl.Font = p_FontDisabled
        DrawButtonText p_FontDisabledEffect, p_FontDisabledColor, p_FontDisabledShadow1OrBorderColor, p_FontDisabledShadow2Color
        
    End If
    


End Sub

'dessine l'icne
Public Function DrawButtonIcon(ByVal Enabled As Boolean, Optional ByVal Down As Boolean = False)

    Dim Offset      As Long

    Offset = (UserControl.ScaleHeight - Val(p_IconSize)) \ 2
    
    If Down Then Offset = Offset + 1
        

    If p_IconHandle <> 0 Then
        If Enabled Then
            DrawIconEx m_DrawDC, Offset, Offset, p_IconHandle, Val(p_IconSize), Val(p_IconSize), 0&, 0&, DI_NORMAL
        Else
            If p_DisabledIconHandle <> 0 Then
                DrawIconEx m_DrawDC, Offset, Offset, p_DisabledIconHandle, Val(p_IconSize), Val(p_IconSize), 0&, 0&, DI_NORMAL
            Else
                DrawState m_DrawDC, 0&, 0&, p_IconHandle, 0&, Offset, Offset, Val(p_IconSize), Val(p_IconSize), &H3 Or &H20
            End If
        End If
    End If


End Function

'dessine le texte
Public Function DrawButtonText(TextEffect As e_TextEffect, ByVal ForeColor As Long, Optional ByVal Shadow1OrBorderColor As Long = &H0, Optional ByVal Shadow2Color As Long = &HA0A0A0, Optional ByVal Down As Boolean = False)

    Dim r           As RECT

    r.Top = 2
    r.Bottom = UserControl.ScaleHeight
    r.Left = p_TextOffset
    r.Right = UserControl.ScaleWidth
    
    If Down Then OffsetRect r, 1, 1

    Select Case TextEffect

        Case e_TextEffect.nsNormal 'Normal
        
            UserControl.ForeColor = ForeColor
            OffsetRect r, -1, -1
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
    
        Case e_TextEffect.nsShadow 'Ombre
        
            UserControl.ForeColor = Shadow2Color
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
    
            OffsetRect r, -1, -1
            UserControl.ForeColor = Shadow1OrBorderColor
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
            
            UserControl.ForeColor = ForeColor
            OffsetRect r, -1, -1
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
        
        Case e_TextEffect.nsBorder 'Bordure

            UserControl.ForeColor = Shadow1OrBorderColor
        
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
            OffsetRect r, -1, 0
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
            OffsetRect r, -1, 0
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
            OffsetRect r, 0, -1
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
            OffsetRect r, 0, -1
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
            OffsetRect r, 1, 0
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
            OffsetRect r, 1, 0
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
            OffsetRect r, 0, 1
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
        
            UserControl.ForeColor = ForeColor

            OffsetRect r, -1, 0
            DrawText m_DrawDC, p_Text, Len(p_Text), r, DT_DEFAULT
    
    End Select

End Function

Private Function CreateBitmapPicture(ByVal hBmp As Long, ByVal hPal As Long) As Picture
    
    Dim r                       As Long
    Dim Pic                     As PicBmp
    Dim IPic                    As IPicture
    Dim IID_IDispatch           As GUID

    With IID_IDispatch
        .Data1 = &H20400
        .Data4(0) = &HC0
        .Data4(7) = &H46
    End With

    With Pic
        .Size = Len(Pic)
        .Type = vbPicTypeBitmap
        .hBmp = hBmp
        .hPal = hPal
    End With

    r = OleCreatePictureIndirect(Pic, IID_IDispatch, 1, IPic)

    Set CreateBitmapPicture = IPic

End Function

'transforme un Device Context en Picture
Private Function hDCToPicture(ByVal hDCSrc As Long, ByVal LeftSrc As Long, ByVal TopSrc As Long, ByVal WidthSrc As Long, ByVal HeightSrc As Long) As Picture
    
    Dim hDCMemory               As Long
    Dim hBmp                    As Long
    Dim hBmpPrev                As Long
    Dim r                       As Long
    Dim hPal                    As Long
    Dim hPalPrev                As Long
    Dim RasterCapsScrn          As Long
    Dim HasPaletteScrn          As Long
    Dim PaletteSizeScrn         As Long
    Dim LogPal                  As LOGPALETTE

    hDCMemory = CreateCompatibleDC(hDCSrc)
    hBmp = CreateCompatibleBitmap(hDCSrc, WidthSrc, HeightSrc)
    hBmpPrev = SelectObject(hDCMemory, hBmp)

    RasterCapsScrn = GetDeviceCaps(hDCSrc, RASTERCAPS)
    HasPaletteScrn = RasterCapsScrn And RC_PALETTE
    PaletteSizeScrn = GetDeviceCaps(hDCSrc, SIZEPALETTE)

    If HasPaletteScrn And (PaletteSizeScrn = 256) Then
        LogPal.palVersion = &H300
        LogPal.palNumEntries = 256
        r = GetSystemPaletteEntries(hDCSrc, 0, 256, LogPal.palPalEntry(0))
        hPal = CreatePalette(LogPal)
        hPalPrev = SelectPalette(hDCMemory, hPal, 0)
        r = RealizePalette(hDCMemory)
    End If

    r = BitBlt(hDCMemory, 0, 0, WidthSrc, HeightSrc, hDCSrc, LeftSrc, TopSrc, vbSrcCopy)
    hBmp = SelectObject(hDCMemory, hBmpPrev)

    If HasPaletteScrn And (PaletteSizeScrn = 256) Then hPal = SelectPalette(hDCMemory, hPalPrev, 0)

    r = DeleteDC(hDCMemory)

    Set hDCToPicture = CreateBitmapPicture(hBmp, hPal)

End Function

' =========================================================================================
' EVENEMENTS
' =========================================================================================

Private Sub UserControl_EnterFocus()

    m_Focused = True
    If p_Enabled Then UserControl_Paint

End Sub

Private Sub UserControl_ExitFocus()

    m_Focused = False
    If p_Enabled Then UserControl_Paint

End Sub

Private Sub UserControl_Initialize()

    Dim i As Long
    'cre les picturebox qui contiendront les images
    For i = 1 To 7
        Load m_Picture(i)
    Next i
   
    m_DrawDC = UserControl.hDC
   
End Sub


Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)

    If Button = 1 Then
        m_MouseDown = True
        If p_Enabled Then
            UserControl_Paint
        End If
    End If

End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

    Dim xyCursor                 As POINTAPI
    Dim Xi                       As Long
    Dim Yi                       As Long

    SetCapture UserControl.hWnd

    GetCursorPos xyCursor
    ScreenToClient UserControl.hWnd, xyCursor

    Xi = xyCursor.X
    Yi = xyCursor.Y

    If Xi < 0 Or Yi < 0 Or Xi > UserControl.ScaleWidth Or Yi > UserControl.ScaleHeight Then
       If m_MouseIn Then
            If Button = 0 Then ReleaseCapture
            m_MouseIn = False
            If p_Enabled Then
                UserControl_Paint
            End If
            RaiseEvent MouseOut
       End If
    Else
        If Not m_MouseIn Then
            m_MouseIn = True
            If p_Enabled Then
                UserControl_Paint
            End If
            RaiseEvent MouseIn
        End If
    End If

End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)

    Dim NewSelected     As Boolean
    Dim P               As POINTAPI
    
    
    GetCursorPos P
    ScreenToClient UserControl.hWnd, P

    m_MouseDown = False
    If p_Enabled Then
        If Button = 1 Then
            If p_Selectable Then
                If p_CanDeselect Then
                    m_Selected = Not m_Selected
                    NewSelected = m_Selected
                    If p_Behavior = nsOptionBox And m_Selected Then UnselectTheOthers
                    m_Selected = NewSelected
                ElseIf Not m_Selected Then
                    If p_Behavior = nsOptionBox Then UnselectTheOthers
                    m_Selected = True
                End If
            End If
            m_MouseIn = False
            UserControl_Paint
            If P.X >= 0 And P.Y >= 0 And P.X <= UserControl.ScaleWidth And P.Y <= UserControl.ScaleHeight Then
                RaiseEvent Click
            End If
        ElseIf Button = 2 Then
            m_MouseIn = False
            UserControl_Paint
            RaiseEvent RightClick
        End If
        
    End If
    
End Sub

Private Sub UserControl_DblClick()

    m_MouseDown = True
    If p_Enabled Then
        UserControl_Paint
        RaiseEvent DblClick
    End If

End Sub

Private Sub UserControl_Paint()

    If p_Enabled Then
    
        If m_MouseIn Then
            If m_MouseDown Then
                DrawButton nsMouseDown
            ElseIf m_Selected And p_Selectable Then
                DrawButton nsSelectedMouseOver
            Else
                DrawButton nsMouseOver
            End If
        Else
            If m_Selected And p_Selectable Then
                DrawButton nsSelected
            ElseIf m_Focused Or p_Default Then
                DrawButton nsDefaultFocus
            Else
                DrawButton nsNormal
            End If
        End If

    Else
        If m_Selected And p_Selectable Then
            DrawButton nsSelectedDisabled
        Else
            DrawButton nsDisabled
        End If
    End If

End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    p_Enabled = PropBag.ReadProperty("Enabled", True)
    p_Text = PropBag.ReadProperty("Caption", "Button")
    p_Behavior = PropBag.ReadProperty("Behavior", e_Behavior.NSButton)
    If p_Behavior = NSButton Then
        p_Selectable = False
    Else
        p_Selectable = True
    End If
    p_CanDeselect = PropBag.ReadProperty("CanDeselect", False)
    p_StretchMode = PropBag.ReadProperty("StretchMode", e_StretchMode.nsStretchEx)
    With p_StretchMargins
        .LeftMargin = PropBag.ReadProperty("StretchMarginLeft", 0)
        .RightMargin = PropBag.ReadProperty("StretchMarginRight", 0)
        .TopMargin = PropBag.ReadProperty("StretchMarginTop", 0)
        .BottomMargin = PropBag.ReadProperty("StretchMarginBottom", 0)
    End With
    p_HalfTone = PropBag.ReadProperty("HalfTone", True)
    p_XOffset = PropBag.ReadProperty("XOffset", 0)
    p_YOffset = PropBag.ReadProperty("YOffset", 0)
    m_Selected = PropBag.ReadProperty("Value", False)
    Set p_FontNormal = PropBag.ReadProperty("FontNormal", Ambient.Font)
    Set p_FontFocus = PropBag.ReadProperty("FontFocus", Ambient.Font)
    Set p_FontDisabled = PropBag.ReadProperty("FontDisabled", Ambient.Font)
    p_FontNormalEffect = PropBag.ReadProperty("FontNormalEffect", e_TextEffect.nsNormal)
    p_FontFocusEffect = PropBag.ReadProperty("FontFocusEffect", e_TextEffect.nsShadow)
    p_FontDisabledEffect = PropBag.ReadProperty("FontDisabledEffect", e_TextEffect.nsNormal)
    p_FontNormalColor = PropBag.ReadProperty("FontNormalColor", &H0)
    p_FontFocusColor = PropBag.ReadProperty("FontFocusColor", &HFFAA66)
    p_FontDisabledColor = PropBag.ReadProperty("FontDisabledColor", &HC0C0C0)
    p_FontNormalShadow1OrBorderColor = PropBag.ReadProperty("FontNormalShadow1OrBorderColor", &H0)
    p_FontFocusShadow1OrBorderColor = PropBag.ReadProperty("FontFocusShadow1OrBorderColor", &H0)
    p_FontDisabledShadow1OrBorderColor = PropBag.ReadProperty("FontDisabledShadow1OrBorderColor", &H0)
    p_FontNormalShadow2Color = PropBag.ReadProperty("FontNormalShadow2Color", &HC0C0C0)
    p_FontFocusShadow2Color = PropBag.ReadProperty("FontFocusShadow2Color", &HC0C0C0)
    p_FontDisabledShadow2Color = PropBag.ReadProperty("FontDisabledShadow2Color", &HC0C0C0)
    m_Picture(0).Picture = PropBag.ReadProperty("PictureNormal", Nothing)
    m_Picture(1).Picture = PropBag.ReadProperty("PictureFocus", Nothing)
    m_Picture(2).Picture = PropBag.ReadProperty("PictureMouseOver", Nothing)
    m_Picture(3).Picture = PropBag.ReadProperty("PictureMouseDown", Nothing)
    m_Picture(4).Picture = PropBag.ReadProperty("PictureSelected", Nothing)
    m_Picture(5).Picture = PropBag.ReadProperty("PictureSelectedMouseOver", Nothing)
    m_Picture(6).Picture = PropBag.ReadProperty("PictureDisabled", Nothing)
    m_Picture(7).Picture = PropBag.ReadProperty("PictureSelectedDisabled", Nothing)
'    m_SkinPicture.Picture = PropBag.ReadProperty("SkinPicture", Nothing)
    m_Icon.Picture = PropBag.ReadProperty("Icon", Nothing)
    m_DisabledIcon.Picture = PropBag.ReadProperty("DisabledIcon", Nothing)
    p_IconSize = PropBag.ReadProperty("IconSize", e_IconSize.ns16x16px)
    p_IconHandle = m_Icon.Picture.Handle
    p_DisabledIconHandle = m_DisabledIcon.Picture.Handle
    p_TextOffset = PropBag.ReadProperty("TextOffset", 0)

End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    PropBag.WriteProperty "Enabled", p_Enabled, True
    PropBag.WriteProperty "Caption", p_Text, "Button"
    PropBag.WriteProperty "Behavior", p_Behavior, e_Behavior.NSButton
    PropBag.WriteProperty "CanDeselect", p_CanDeselect, False
    PropBag.WriteProperty "StretchMode", p_StretchMode, e_StretchMode.nsStretchEx
    With p_StretchMargins
        PropBag.WriteProperty "StretchMarginLeft", .LeftMargin, 0
        PropBag.WriteProperty "StretchMarginRight", .RightMargin, 0
        PropBag.WriteProperty "StretchMarginTop", .TopMargin, 0
        PropBag.WriteProperty "StretchMarginBottom", .BottomMargin, 0
    End With
    PropBag.WriteProperty "HalfTone", p_HalfTone, True
    PropBag.WriteProperty "XOffset", p_XOffset, 0
    PropBag.WriteProperty "YOffset", p_YOffset, 0
    PropBag.WriteProperty "Value", m_Selected, False
    PropBag.WriteProperty "FontNormal", p_FontNormal, Ambient.Font
    PropBag.WriteProperty "FontFocus", p_FontFocus, Ambient.Font
    PropBag.WriteProperty "FontDisabled", p_FontDisabled, Ambient.Font
    PropBag.WriteProperty "FontNormalEffect", p_FontNormalEffect, e_TextEffect.nsNormal
    PropBag.WriteProperty "FontFocusEffect", p_FontFocusEffect, e_TextEffect.nsShadow
    PropBag.WriteProperty "FontDisabledEffect", p_FontDisabledEffect, e_TextEffect.nsNormal
    PropBag.WriteProperty "FontNormalColor", p_FontNormalColor, &H0
    PropBag.WriteProperty "FontFocusColor", p_FontFocusColor, &HFFAA66
    PropBag.WriteProperty "FontDisabledColor", p_FontDisabledColor, &HC0C0C0
    PropBag.WriteProperty "FontNormalShadow1OrBorderColor", p_FontNormalShadow1OrBorderColor, &H0
    PropBag.WriteProperty "FontFocusShadow1OrBorderColor", p_FontFocusShadow1OrBorderColor, &H0
    PropBag.WriteProperty "FontDisabledShadow1OrBorderColor", p_FontDisabledShadow1OrBorderColor, &H0
    PropBag.WriteProperty "FontNormalShadow2Color", p_FontNormalShadow2Color, &HC0C0C0
    PropBag.WriteProperty "FontFocusShadow2Color", p_FontFocusShadow2Color, &HC0C0C0
    PropBag.WriteProperty "FontDisabledShadow2Color", p_FontDisabledShadow2Color, &HC0C0C0
    PropBag.WriteProperty "PictureNormal", m_Picture(0).Picture, Nothing
    PropBag.WriteProperty "PictureFocus", m_Picture(1).Picture, Nothing
    PropBag.WriteProperty "PictureMouseOver", m_Picture(2).Picture, Nothing
    PropBag.WriteProperty "PictureMouseDown", m_Picture(3).Picture, Nothing
    PropBag.WriteProperty "PictureSelected", m_Picture(4).Picture, Nothing
    PropBag.WriteProperty "PictureSelectedMouseOver", m_Picture(5).Picture, Nothing
    PropBag.WriteProperty "PictureDisabled", m_Picture(6).Picture, Nothing
    PropBag.WriteProperty "PictureSelectedDisabled", m_Picture(7).Picture, Nothing
'    PropBag.WriteProperty "SkinPicture", m_SkinPicture.Picture, Nothing
    PropBag.WriteProperty "Icon", m_Icon.Picture, Nothing
    PropBag.WriteProperty "DisabledIcon", m_DisabledIcon.Picture, Nothing
    PropBag.WriteProperty "IconSize", p_IconSize, e_IconSize.ns16x16px
    PropBag.WriteProperty "TextOffset", p_TextOffset, 0

End Sub


' =========================================================================================
' FONCTIONS PUBLIQUES
' =========================================================================================

'rinitialise l'tat du bouton en cas d'affichage de feuille modale
Public Function ModalWillBeShown()

    m_MouseIn = False
    m_MouseDown = False
    ReleaseCapture
    UserControl_Paint

End Function

' =========================================================================================
' PROPRIETES PUBLIQUES
' =========================================================================================

' ------- ACTIF -------
Public Property Let Enabled(ByVal NewEnabled As Boolean)
Attribute Enabled.VB_Description = "Renvoie ou dfinit si le bouton peut tre cliqu ou non."

    p_Enabled = NewEnabled
    UserControl.PropertyChanged "Enabled"
    UserControl_Paint

End Property

Public Property Get Enabled() As Boolean

    Enabled = p_Enabled

End Property

' ------- CAPTION -------
Public Property Let Caption(ByVal NewCaption As String)

    p_Text = NewCaption
    UserControl.PropertyChanged "Caption"
    UserControl_Paint

End Property

Public Property Get Caption() As String
Attribute Caption.VB_Description = "Renvoie ou dfinit le texte du bouton."
Attribute Caption.VB_UserMemId = 0

    Caption = p_Text

End Property

' ------- TEXTOFFSET -------
Public Property Let TextOffset(ByVal NewTextOffset As Integer)
Attribute TextOffset.VB_Description = "Renvoie ou dfinit la distance en pixels entre le bord gauche du contrle et le bord gauche du texte (note: cette distance est + grande en ralit car le texte est centr). Cette valeur est calcule automatiquement lorsqu'une icne est dfinie."

    p_TextOffset = CLng(NewTextOffset)
    UserControl.PropertyChanged "TextOffset"
    UserControl_Paint

End Property

Public Property Get TextOffset() As Integer

    TextOffset = CInt(p_TextOffset)

End Property

' ------- COMPORTEMENT -------
Public Property Let Behavior(ByVal NewBehavior As e_Behavior)
Attribute Behavior.VB_Description = "Renvoie ou dfinit le comportement que doit avoir le bouton : Bouton, CheckBox ou OptionBox."
Attribute Behavior.VB_ProcData.VB_Invoke_PropertyPut = ";Comportement"

    p_Behavior = NewBehavior
    
    If p_Behavior = NSButton Then
        p_Selectable = False
    Else
        p_Selectable = True
        If p_Behavior = nsCheckBox Then
            p_CanDeselect = True
        Else
            p_CanDeselect = False
        End If
    End If
    
    UserControl.PropertyChanged "Behavior"
    UserControl_Paint

End Property

Public Property Get Behavior() As e_Behavior

    Behavior = p_Behavior

End Property

' ------- SELECTION -------
'Peut on dslectionner meme si Behavior est OptionBox ?
Public Property Let CanDeselect(ByVal NewCanDeselect As Boolean)
Attribute CanDeselect.VB_Description = "Renvoie ou dfinit si le contrle peut tre dslectionn malgr le fait qu'il se comporte comme une OptionBox."

    p_CanDeselect = NewCanDeselect
    UserControl.PropertyChanged "CanDeselect"

End Property

Public Property Get CanDeselect() As Boolean

    CanDeselect = p_CanDeselect

End Property

'Etat de slection
Public Property Let Value(ByVal NewValue As Boolean)
Attribute Value.VB_Description = "Renvoie ou dfinit la valeur actuelle du bouton lorsque Behavior est CheckBox ou OptionBox."

    m_Selected = NewValue
    UserControl.PropertyChanged "Value"
    UserControl_Paint

End Property

Public Property Get Value() As Boolean

    Value = m_Selected

End Property

' ------- REDIMENSIONNEMENT -------
'mode de redimensionnement
Public Property Let StretchMode(ByVal NewStretchMode As e_StretchMode)
Attribute StretchMode.VB_Description = "Renvoie ou dfinit le mode de redimensionnement des image du bouton."

    p_StretchMode = NewStretchMode
    UserControl.PropertyChanged "StretchMode"
    UserControl_Paint

End Property

Public Property Get StretchMode() As e_StretchMode

    StretchMode = p_StretchMode

End Property

'demi ton
Public Property Let HalfTone(ByVal NewHalfTone As Boolean)
Attribute HalfTone.VB_Description = "Renvoie ou dfinit si le dessin doit tre fait avec la mthode HalfTone (meilleur rendu) lorsque le StretchMode est Stretch ou StretchEx."

    p_HalfTone = NewHalfTone
    UserControl.PropertyChanged "HalfTone"
    UserControl_Paint

End Property

Public Property Get HalfTone() As Boolean

    HalfTone = p_HalfTone

End Property

' ------- MARGES DE REDIMENSIONNEMENT -------
'Gauche
Public Property Let StretchMarginLeft(ByVal NewStretchMarginLeft As Integer)
Attribute StretchMarginLeft.VB_Description = "Renvoie ou dfinit la marge de gauche lorsque le StretchMode est StretchEx."

    p_StretchMargins.LeftMargin = CLng(NewStretchMarginLeft)
    UserControl.PropertyChanged "StretchMarginLeft"
    UserControl_Paint

End Property

Public Property Get StretchMarginLeft() As Integer

    StretchMarginLeft = CInt(p_StretchMargins.LeftMargin)

End Property

'Droite
Public Property Let StretchMarginRight(ByVal NewStretchMarginRight As Integer)
Attribute StretchMarginRight.VB_Description = "Renvoie ou dfinit la marge de droite lorsque le StretchMode est StretchEx."

    p_StretchMargins.RightMargin = CLng(NewStretchMarginRight)
    UserControl.PropertyChanged "StretchMarginRight"
    UserControl_Paint

End Property

Public Property Get StretchMarginRight() As Integer

    StretchMarginRight = CInt(p_StretchMargins.RightMargin)

End Property

'Haut
Public Property Let StretchMarginTop(ByVal NewStretchMarginTop As Integer)
Attribute StretchMarginTop.VB_Description = "Renvoie ou dfinit la marge du haut lorsque le StretchMode est StretchEx."

    p_StretchMargins.TopMargin = CLng(NewStretchMarginTop)
    UserControl.PropertyChanged "StretchMarginTop"
    UserControl_Paint

End Property

Public Property Get StretchMarginTop() As Integer

    StretchMarginTop = CInt(p_StretchMargins.TopMargin)

End Property

'Bas
Public Property Let StretchMarginBottom(ByVal NewStretchMarginBottom As Integer)
Attribute StretchMarginBottom.VB_Description = "Renvoie ou dfinit la marge du bas lorsque le StretchMode est StretchEx."

    p_StretchMargins.BottomMargin = CLng(NewStretchMarginBottom)
    UserControl.PropertyChanged "StretchMarginBottom"
    UserControl_Paint

End Property

Public Property Get StretchMarginBottom() As Integer

    StretchMarginBottom = CInt(p_StretchMargins.BottomMargin)

End Property

' ------- MARGES DE TRACAGE -------
'en X
Public Property Let XOffset(ByVal NewXOffset As Integer)
Attribute XOffset.VB_Description = "Renvoie ou dfinit la distance en pixels entre le bord gauche du contrle et le bord gauche de l'image du bouton lorsque StretchMode est None."

    p_XOffset = CLng(NewXOffset)
    UserControl.PropertyChanged "XOffset"
    UserControl_Paint

End Property

Public Property Get XOffset() As Integer

    XOffset = CInt(p_XOffset)

End Property

'en Y
Public Property Let YOffset(ByVal NewYOffset As Integer)
Attribute YOffset.VB_Description = "Renvoie ou dfinit la distance en pixels entre le bord droit du contrle et le bord droit de l'image du bouton lorsque StretchMode est None."

    p_YOffset = CLng(NewYOffset)
    UserControl.PropertyChanged "YOffset"
    UserControl_Paint

End Property

Public Property Get YOffset() As Integer

    YOffset = CInt(p_YOffset)

End Property


' ------- POLICE (NORMAL) -------
'Police
Public Property Set FontNormal(NewFontNormal As StdFont)
Attribute FontNormal.VB_Description = "Renvoie ou dfinit la police de caractres utilise lorsque le bouton est normal."
Attribute FontNormal.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardFont"

    Set p_FontNormal = NewFontNormal
    UserControl.PropertyChanged "FontNormal"
    UserControl_Paint

End Property

Public Property Get FontNormal() As StdFont

    Set FontNormal = p_FontNormal

End Property

'Effet
Public Property Let FontNormalEffect(ByVal NewFontNormalEffect As e_TextEffect)
Attribute FontNormalEffect.VB_Description = "Renvoie ou dfinit l'effet de texte utilis lorsque le bouton est normal."

    p_FontNormalEffect = NewFontNormalEffect
    UserControl.PropertyChanged "FontNormalEffect"
    UserControl_Paint

End Property

Public Property Get FontNormalEffect() As e_TextEffect

    FontNormalEffect = p_FontNormalEffect

End Property

'Couleur
Public Property Let FontNormalColor(ByVal NewFontNormalColor As OLE_COLOR)
Attribute FontNormalColor.VB_Description = "Renvoie ou dfinit la couleur du texte utilise lorsque le bouton est normal."
Attribute FontNormalColor.VB_ProcData.VB_Invoke_PropertyPut = "StandardColor"

    p_FontNormalColor = NewFontNormalColor
    UserControl.PropertyChanged "FontNormalColor"
    UserControl_Paint

End Property

Public Property Get FontNormalColor() As OLE_COLOR

    FontNormalColor = p_FontNormalColor

End Property

'Couleur d'ombre 1 ou couleur de bordure
Public Property Let FontNormalShadow1OrBorderColor(ByVal NewFontNormalShadow1OrBorderColor As OLE_COLOR)
Attribute FontNormalShadow1OrBorderColor.VB_Description = "Renvoie ou dfinit la couleur 1 de l'ombre quand l'effet est Shadow ou la couleur de la bordure si l'effet est Border lorsque le bouton  est normal."
Attribute FontNormalShadow1OrBorderColor.VB_ProcData.VB_Invoke_PropertyPut = "StandardColor"

    p_FontNormalShadow1OrBorderColor = NewFontNormalShadow1OrBorderColor
    UserControl.PropertyChanged "FontNormalShadow1OrBorderColor"
    UserControl_Paint

End Property

Public Property Get FontNormalShadow1OrBorderColor() As OLE_COLOR

    FontNormalShadow1OrBorderColor = p_FontNormalShadow1OrBorderColor

End Property

'Couleur d'ombre 2
Public Property Let FontNormalShadow2Color(ByVal NewFontNormalShadow2Color As OLE_COLOR)
Attribute FontNormalShadow2Color.VB_Description = "Renvoie ou dfinit la couleur 2 de l'ombre quand l'effet est Shadow lorsque le bouton est normal."
Attribute FontNormalShadow2Color.VB_ProcData.VB_Invoke_PropertyPut = "StandardColor"

    p_FontNormalShadow2Color = NewFontNormalShadow2Color
    UserControl.PropertyChanged "FontNormalShadow2Color"
    UserControl_Paint

End Property

Public Property Get FontNormalShadow2Color() As OLE_COLOR

    FontNormalShadow2Color = p_FontNormalShadow2Color

End Property

' ------- POLICE (FOCUS) -------
'Police
Public Property Set FontFocus(NewFontFocus As StdFont)
Attribute FontFocus.VB_Description = "Renvoie ou dfinit la police de caractres utilise lorsque le bouton a le focus ou est dfinit par dfaut."
Attribute FontFocus.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardFont"

    Set p_FontFocus = NewFontFocus
    UserControl.PropertyChanged "FontFocus"
    UserControl_Paint

End Property

Public Property Get FontFocus() As StdFont

    Set FontFocus = p_FontFocus

End Property

'Effet
Public Property Let FontFocusEffect(ByVal NewFontFocusEffect As e_TextEffect)
Attribute FontFocusEffect.VB_Description = "Renvoie ou dfinit l'effet de texte utilis lorsque le bouton a le focus ou est dfinit par dfaut."

    p_FontFocusEffect = NewFontFocusEffect
    UserControl.PropertyChanged "FontFocusEffect"
    UserControl_Paint

End Property

Public Property Get FontFocusEffect() As e_TextEffect

    FontFocusEffect = p_FontFocusEffect

End Property

'Couleur
Public Property Let FontFocusColor(ByVal NewFontFocusColor As OLE_COLOR)
Attribute FontFocusColor.VB_Description = "Renvoie ou dfinit la couleur du texte utilise lorsque le bouton a le focus ou est dfinit par dfaut."
Attribute FontFocusColor.VB_ProcData.VB_Invoke_PropertyPut = "StandardColor"

    p_FontFocusColor = NewFontFocusColor
    UserControl.PropertyChanged "FontFocusColor"
    UserControl_Paint

End Property

Public Property Get FontFocusColor() As OLE_COLOR

    FontFocusColor = p_FontFocusColor

End Property

'Couleur d'ombre 1 ou couleur de bordure
Public Property Let FontFocusShadow1OrBorderColor(ByVal NewFontFocusShadow1OrBorderColor As OLE_COLOR)
Attribute FontFocusShadow1OrBorderColor.VB_Description = "Renvoie ou dfinit la couleur 1 de l'ombre quand l'effet est Shadow ou la couleur de la bordure si l'effet est Border lorsque le bouton a le focus ou est dfinit par dfaut."
Attribute FontFocusShadow1OrBorderColor.VB_ProcData.VB_Invoke_PropertyPut = "StandardColor"

    p_FontFocusShadow1OrBorderColor = NewFontFocusShadow1OrBorderColor
    UserControl.PropertyChanged "FontFocusShadow1OrBorderColor"
    UserControl_Paint

End Property

Public Property Get FontFocusShadow1OrBorderColor() As OLE_COLOR

    FontFocusShadow1OrBorderColor = p_FontFocusShadow1OrBorderColor

End Property

'Couleur d'ombre 2
Public Property Let FontFocusShadow2Color(ByVal NewFontFocusShadow2Color As OLE_COLOR)
Attribute FontFocusShadow2Color.VB_Description = "Renvoie ou dfinit la couleur 2 de l'ombre quand l'effet est Shadow lorsque le bouton a le focus ou est dfinit par dfaut."
Attribute FontFocusShadow2Color.VB_ProcData.VB_Invoke_PropertyPut = "StandardColor"

    p_FontFocusShadow2Color = NewFontFocusShadow2Color
    UserControl.PropertyChanged "FontFocusShadow2Color"
    UserControl_Paint

End Property

Public Property Get FontFocusShadow2Color() As OLE_COLOR

    FontFocusShadow2Color = p_FontFocusShadow2Color

End Property

' ------- POLICE (DISABLED) -------
'Police
Public Property Set FontDisabled(NewFontDisabled As StdFont)
Attribute FontDisabled.VB_Description = "Renvoie ou dfinit la police de caractres utilise lorsque le bouton est dsactiv."
Attribute FontDisabled.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardFont"

    Set p_FontDisabled = NewFontDisabled
    UserControl.PropertyChanged "FontDisabled"
    UserControl_Paint

End Property

Public Property Get FontDisabled() As StdFont

    Set FontDisabled = p_FontDisabled

End Property

'Effet
Public Property Let FontDisabledEffect(ByVal NewFontDisabledEffect As e_TextEffect)
Attribute FontDisabledEffect.VB_Description = "Renvoie ou dfinit l'effet de texte utilis lorsque le bouton est dsactiv."

    p_FontDisabledEffect = NewFontDisabledEffect
    UserControl.PropertyChanged "FontDisabledEffect"
    UserControl_Paint

End Property

Public Property Get FontDisabledEffect() As e_TextEffect

    FontDisabledEffect = p_FontDisabledEffect

End Property

'Couleur
Public Property Let FontDisabledColor(ByVal NewFontDisabledColor As OLE_COLOR)
Attribute FontDisabledColor.VB_Description = "Renvoie ou dfinit la couleur du texte utilise lorsque le bouton est dsactiv."
Attribute FontDisabledColor.VB_ProcData.VB_Invoke_PropertyPut = "StandardColor"

    p_FontDisabledColor = NewFontDisabledColor
    UserControl.PropertyChanged "FontDisabledColor"
    UserControl_Paint

End Property

Public Property Get FontDisabledColor() As OLE_COLOR

    FontDisabledColor = p_FontDisabledColor

End Property

'Couleur d'ombre 1 ou couleur de bordure
Public Property Let FontDisabledShadow1OrBorderColor(ByVal NewFontDisabledShadow1OrBorderColor As OLE_COLOR)
Attribute FontDisabledShadow1OrBorderColor.VB_Description = "Renvoie ou dfinit la couleur 1 de l'ombre quand l'effet est Shadow ou la couleur de la bordure si l'effet est Border lorsque le bouton est dsactiv."
Attribute FontDisabledShadow1OrBorderColor.VB_ProcData.VB_Invoke_PropertyPut = "StandardColor"

    p_FontDisabledShadow1OrBorderColor = NewFontDisabledShadow1OrBorderColor
    UserControl.PropertyChanged "FontDisabledShadow1OrBorderColor"
    UserControl_Paint

End Property

Public Property Get FontDisabledShadow1OrBorderColor() As OLE_COLOR

    FontDisabledShadow1OrBorderColor = p_FontDisabledShadow1OrBorderColor

End Property

'Couleur d'ombre 2
Public Property Let FontDisabledShadow2Color(ByVal NewFontDisabledShadow2Color As OLE_COLOR)
Attribute FontDisabledShadow2Color.VB_Description = "Renvoie ou dfinit la couleur 2 de l'ombre quand l'effet est Shadow lorsque le bouton est dsactiv."
Attribute FontDisabledShadow2Color.VB_ProcData.VB_Invoke_PropertyPut = "StandardColor"

    p_FontDisabledShadow2Color = NewFontDisabledShadow2Color
    UserControl.PropertyChanged "FontDisabledShadow2Color"
    UserControl_Paint

End Property

Public Property Get FontDisabledShadow2Color() As OLE_COLOR

    FontDisabledShadow2Color = p_FontDisabledShadow2Color

End Property

' ------- ICONE -------
'Icne
Public Property Set Icon(ByRef NewIcon As Picture)
Attribute Icon.VB_Description = "Renvoie ou dfinit l'icne du bouton."
Attribute Icon.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardPicture"

    Set m_Icon.Picture = NewIcon
    p_IconHandle = m_Icon.Picture.Handle
    If p_IconHandle = 0 Then
        p_TextOffset = 0
    Else
        p_TextOffset = Val(p_IconSize) * 1.2
    End If
    UserControl.PropertyChanged "Icon"
    UserControl_Paint

End Property

Public Property Get Icon() As Picture

    Set Icon = m_Icon.Picture

End Property

'Icne dsactive
Public Property Set IconDisabled(ByRef NewIconDisabled As Picture)
Attribute IconDisabled.VB_Description = "Renvoie ou dfinit l'icne du bouton lorsqu'il est dsactiv."
Attribute IconDisabled.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardPicture"

    Set m_DisabledIcon.Picture = NewIconDisabled
    p_DisabledIconHandle = m_DisabledIcon.Picture.Handle
    UserControl.PropertyChanged "IconDisabled"
    UserControl_Paint

End Property

Public Property Get IconDisabled() As Picture

    Set IconDisabled = m_DisabledIcon.Picture

End Property

'Taille de l'icne
Public Property Let IconSize(ByVal NewIconSize As e_IconSize)
Attribute IconSize.VB_Description = "Renvoie ou dfinit la taille de l'icne  afficher."

    p_IconSize = NewIconSize
    If p_IconHandle = 0 Then
        p_TextOffset = 0
    Else
        p_TextOffset = Val(p_IconSize) * 1.2
    End If
    UserControl.PropertyChanged "IconSize"
    UserControl_Paint


End Property

Public Property Get IconSize() As e_IconSize

    IconSize = p_IconSize

End Property

'Handle de l'icne (Runtime seulement, permet l'affichage d'icnes XP)
Public Property Let IconHandle(ByVal NewIconHandle As Long)
Attribute IconHandle.VB_MemberFlags = "400"

    p_IconHandle = NewIconHandle
    UserControl_Paint

End Property

Public Property Get IconHandle() As Long

    IconHandle = p_IconHandle

End Property

'Handle de l'icne dsactive
Public Property Let IconDisabledHandle(ByVal NewIconDisabledHandle As Long)

    p_DisabledIconHandle = NewIconDisabledHandle
    UserControl_Paint

End Property

Public Property Get IconDisabledHandle() As Long
Attribute IconDisabledHandle.VB_MemberFlags = "400"

    IconDisabledHandle = p_DisabledIconHandle

End Property


' ------- FOCUSED -------
Public Property Get Focused() As Boolean
Attribute Focused.VB_Description = "Renvoie True si le bouton a actuellement le focus sinon False."

    Focused = m_Focused

End Property

' ------- IMAGES -------
'normal
Public Property Set PictureNormal(ByRef NewPictureNormal As Picture)
Attribute PictureNormal.VB_Description = "Renvoie ou dfinit l'image du bouton quand il est dans son tat normal."
Attribute PictureNormal.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardPicture"

    Set m_Picture(0).Picture = NewPictureNormal
    UserControl.PropertyChanged "PictureNormal"
    UserControl_Paint

End Property

Public Property Get PictureNormal() As Picture

    Set PictureNormal = m_Picture(0).Picture

End Property

'Focus ou par dfaut
Public Property Set PictureFocus(ByRef NewPictureFocus As Picture)
Attribute PictureFocus.VB_Description = "Renvoie ou dfinit l'image du bouton quand il a le focus ou qu'il est dfinit par dfaut."
Attribute PictureFocus.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardPicture"

    Set m_Picture(1).Picture = NewPictureFocus
    UserControl.PropertyChanged "PictureFocus"
    UserControl_Paint

End Property

Public Property Get PictureFocus() As Picture

    Set PictureFocus = m_Picture(1).Picture

End Property

'MouseOver
Public Property Set PictureMouseOver(ByRef NewPictureMouseOver As Picture)
Attribute PictureMouseOver.VB_Description = "Renvoie ou dfinit l'image du bouton quand la souris se trouve au dessus."
Attribute PictureMouseOver.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardPicture"

    Set m_Picture(2).Picture = NewPictureMouseOver
    UserControl.PropertyChanged "PictureMouseOver"
    UserControl_Paint

End Property

Public Property Get PictureMouseOver() As Picture

    Set PictureMouseOver = m_Picture(2).Picture

End Property

'MouseDown
Public Property Set PictureMouseDown(ByRef NewPictureMouseDown As Picture)
Attribute PictureMouseDown.VB_Description = "Renvoie ou dfinit l'image du bouton quand la souris a le bouton gauche press ou le bouton droit press aprs un double-clic."
Attribute PictureMouseDown.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardPicture"

    Set m_Picture(3).Picture = NewPictureMouseDown
    UserControl.PropertyChanged "PictureMouseDown"
    UserControl_Paint

End Property

Public Property Get PictureMouseDown() As Picture

    Set PictureMouseDown = m_Picture(3).Picture

End Property

'Selected
Public Property Set PictureSelected(ByRef NewPictureSelected As Picture)
Attribute PictureSelected.VB_Description = "Renvoie ou dfinit l'image du bouton quand il est slectionn. Cette image n'est utilise que lorsque Behavior est CheckBox ou OptionBox."
Attribute PictureSelected.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardPicture"

    Set m_Picture(4).Picture = NewPictureSelected
    UserControl.PropertyChanged "PictureSelected"
    UserControl_Paint

End Property

Public Property Get PictureSelected() As Picture

    Set PictureSelected = m_Picture(4).Picture

End Property

'SelectedMouseOver
Public Property Set PictureSelectedMouseOver(ByRef NewPictureSelectedMouseOver As Picture)
Attribute PictureSelectedMouseOver.VB_Description = "Renvoie ou dfinit l'image du bouton quand il est slectionn et que la souris se trouve au dessus. Cette image n'est utilise que lorsque Behavior est CheckBox ou OptionBox."
Attribute PictureSelectedMouseOver.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardPicture"

    Set m_Picture(5).Picture = NewPictureSelectedMouseOver
    UserControl.PropertyChanged "PictureSelectedMouseOver"
    UserControl_Paint

End Property

Public Property Get PictureSelectedMouseOver() As Picture

    Set PictureSelectedMouseOver = m_Picture(5).Picture

End Property

'Disabled
Public Property Set PictureDisabled(ByRef NewPictureDisabled As Picture)
Attribute PictureDisabled.VB_Description = "Renvoie ou dfinit l'image du bouton quand il est dsactiv."
Attribute PictureDisabled.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardPicture"

    Set m_Picture(6).Picture = NewPictureDisabled
    UserControl.PropertyChanged "PictureDisabled"
    UserControl_Paint

End Property

Public Property Get PictureDisabled() As Picture

    Set PictureDisabled = m_Picture(6).Picture

End Property

'SelectedDisabled
Public Property Set PictureSelectedDisabled(ByRef NewPictureSelectedDisabled As Picture)
Attribute PictureSelectedDisabled.VB_Description = "Renvoie ou dfinit l'image du bouton quand il est slectionn et dsactiv. Cette image n'est utilise que lorsque Behavior est CheckBox ou OptionBox."
Attribute PictureSelectedDisabled.VB_ProcData.VB_Invoke_PropertyPutRef = "StandardPicture"

    Set m_Picture(7).Picture = NewPictureSelectedDisabled
    UserControl.PropertyChanged "PictureSelectedDisabled"
    UserControl_Paint

End Property

Public Property Get PictureSelectedDisabled() As Picture

    Set PictureSelectedDisabled = m_Picture(7).Picture

End Property

'SkinPicture
'Public Property Set SkinPicture(ByRef NewSkinPicture As Picture)
'
'    Set m_SkinPicture.Picture = NewSkinPicture
'
'    'charger la skinPic
'
'    UserControl.PropertyChanged "SkinPicture"
'    UserControl_Paint
'
'End Property
'
'Public Property Get SkinPicture() As Picture
'
'    Set SkinPicture = m_SkinPicture.Picture
'
'End Property

'------- CONTAINER -------
Public Property Get ContainerHandle() As Long
    
    ContainerHandle = UserControl.ContainerHwnd
    
End Property
