VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "COMCTL32.OCX"
Begin VB.UserControl ucCheckBox 
   BackColor       =   &H00D7D4C7&
   ClientHeight    =   5475
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   7200
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ScaleHeight     =   365
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   480
   Begin ComctlLib.ImageList IL 
      Left            =   3480
      Top             =   3600
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   25
      ImageHeight     =   26
      MaskColor       =   12632256
      _Version        =   327682
      BeginProperty Images {0713E8C2-850A-101B-AFC0-4210102A8DA7} 
         NumListImages   =   2
         BeginProperty ListImage1 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "ucCheckBox.ctx":0000
            Key             =   ""
         EndProperty
         BeginProperty ListImage2 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "ucCheckBox.ctx":080A
            Key             =   ""
         EndProperty
      EndProperty
   End
End
Attribute VB_Name = "ucCheckBox"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ==========================================================================================
' Code source par Nicolas Siwik aka Ennixo
' ==========================================================================================
' http://www.ennixo.com
' http://ennixo.free.fr/fils
' ennixo@free.fr
' ==========================================================================================

Private m_Checked   As Boolean

Public Event Change()

Public Property Let Checked(ByVal NewVal As Boolean)
    If m_Checked <> NewVal Then
        m_Checked = NewVal
        UserControl.Picture = IL.ListImages(1 + IIf(m_Checked, 1, 0)).Picture
        RaiseEvent Change
    End If
End Property

Public Property Get Checked() As Boolean
    Checked = m_Checked
End Property

Private Sub UserControl_Click()
    m_Checked = Not m_Checked
    UserControl.Picture = IL.ListImages(1 + IIf(m_Checked, 1, 0)).Picture
    RaiseEvent Change
End Sub

Private Sub UserControl_Initialize()
    UserControl.Picture = IL.ListImages(1 + IIf(m_Checked, 1, 0)).Picture
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    m_Checked = PropBag.ReadProperty("Checked", False)
    UserControl.Picture = IL.ListImages(1 + IIf(m_Checked, 1, 0)).Picture
End Sub

Private Sub UserControl_Resize()
    UserControl.Width = 375
    UserControl.Height = 390
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    PropBag.WriteProperty "Checked", m_Checked, False
End Sub
